<!DOCTYPE html>
<html lang="en">
{% load static %}
<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Fusilli.IO - Dashboard Kore</title>
    <link rel="apple-touch-icon" sizes="180x180" href="{% static 'imgs/favs/apple-icon-180x180.png' %}">
    <link rel="icon" type="image/png" sizes="32x32" href="{% static 'imgs/favs/favicon-32x32.png' %}">
    <link rel="icon" type="image/png" sizes="96x96" href="{% static 'imgs/favs/favicon-96x96.png' %}">
    <link rel="icon" type="image/png" sizes="16x16" href="{% static 'imgs/favs/favicon-16x16.png' %}">


    <!-- Custom fonts for this template-->
    <link href="{% static 'vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet" type="text/css">
    <link href="{% static 'css/fonts-googleapis-nunito.css' %}" rel="stylesheet">

    <!-- Custom styles for this template-->
    <link href="{% static 'css/sb-admin-2.min.css' %}" rel="stylesheet">

    <!-- Custom styles for this page -->
    <link href="{% static 'vendor/datatables/dataTables.bootstrap4.min.css' %}" rel="stylesheet">

</head>

<body id="page-top">

<!-- Page Wrapper -->
<div id="wrapper">

    <!-- Sidebar -->
    <ul class="navbar-nav bg-gradient-primary sidebar sidebar-dark accordion" id="accordionSidebar">

        <!-- Sidebar - Brand -->
        <a class="sidebar-brand d-flex align-items-center justify-content-center" href="#">
            <div class="sidebar-brand-icon">
                <img src="{% static 'imgs/logo-fusilli.io-white.png' %}" width="90%">
            </div>

            <div class="sidebar-brand-text mx-3">Fusilli.IO <sub>Kore</sub></div>
        </a>

        <!-- Divider -->
        <hr class="sidebar-divider my-0">

        <!-- Nav Item - Dashboard -->
        <li class="nav-item active">
            <a class="nav-link" href="index.html">
                <i class="fas fa-fw fa-tachometer-alt"></i>
                <span>Dashboard</span></a>
        </li>

        <!-- Divider -->
        <hr class="sidebar-divider">
        {##}
        {#            <!-- Heading -->#}
        {#            <div class="sidebar-heading">#}
        {#                Interface#}
        {#            </div>#}
        {##}
        {#            <!-- Nav Item - Pages Collapse Menu -->#}
        {#            <li class="nav-item">#}
        {#                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseTwo"#}
        {#                    aria-expanded="true" aria-controls="collapseTwo">#}
        {#                    <i class="fas fa-fw fa-cog"></i>#}
        {#                    <span>Components</span>#}
        {#                </a>#}
        {#                <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionSidebar">#}
        {#                    <div class="bg-white py-2 collapse-inner rounded">#}
        {#                        <h6 class="collapse-header">Custom Components:</h6>#}
        {#                        <a class="collapse-item" href="buttons.html">Buttons</a>#}
        {#                        <a class="collapse-item" href="cards.html">Cards</a>#}
        {#                    </div>#}
        {#                </div>#}
        {#            </li>#}
        {##}
        {#            <!-- Nav Item - Utilities Collapse Menu -->#}
        {#            <li class="nav-item">#}
        {#                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapseUtilities"#}
        {#                    aria-expanded="true" aria-controls="collapseUtilities">#}
        {#                    <i class="fas fa-fw fa-wrench"></i>#}
        {#                    <span>Utilities</span>#}
        {#                </a>#}
        {#                <div id="collapseUtilities" class="collapse" aria-labelledby="headingUtilities"#}
        {#                    data-parent="#accordionSidebar">#}
        {#                    <div class="bg-white py-2 collapse-inner rounded">#}
        {#                        <h6 class="collapse-header">Custom Utilities:</h6>#}
        {#                        <a class="collapse-item" href="utilities-color.html">Colors</a>#}
        {#                        <a class="collapse-item" href="utilities-border.html">Borders</a>#}
        {#                        <a class="collapse-item" href="utilities-animation.html">Animations</a>#}
        {#                        <a class="collapse-item" href="utilities-other.html">Other</a>#}
        {#                    </div>#}
        {#                </div>#}
        {#            </li>#}
        {##}
        {#            <!-- Divider -->#}
        {#            <hr class="sidebar-divider">#}
        {##}
        {#            <!-- Heading -->#}
        {#            <div class="sidebar-heading">#}
        {#                Addons#}
        {#            </div>#}

        <!-- Nav Item - Pages Collapse Menu -->
        {#            <li class="nav-item">#}
        {#                <a class="nav-link collapsed" href="#" data-toggle="collapse" data-target="#collapsePages"#}
        {#                    aria-expanded="true" aria-controls="collapsePages">#}
        {#                    <i class="fas fa-fw fa-folder"></i>#}
        {#                    <span>Pages</span>#}
        {#                </a>#}
        {#                <div id="collapsePages" class="collapse" aria-labelledby="headingPages" data-parent="#accordionSidebar">#}
        {#                    <div class="bg-white py-2 collapse-inner rounded">#}
        {#                        <h6 class="collapse-header">Login Screens:</h6>#}
        {#                        <a class="collapse-item" href="login.html">Login</a>#}
        {#                        <a class="collapse-item" href="register.html">Register</a>#}
        {#                        <a class="collapse-item" href="forgot-password.html">Forgot Password</a>#}
        {#                        <div class="collapse-divider"></div>#}
        {#                        <h6 class="collapse-header">Other Pages:</h6>#}
        {#                        <a class="collapse-item" href="404.html">404 Page</a>#}
        {#                        <a class="collapse-item" href="blank.html">Blank Page</a>#}
        {#                    </div>#}
        {#                </div>#}
        {#            </li>#}

        <!-- Nav Item - Charts -->
        {#            <li class="nav-item">#}
        {#                <a class="nav-link" href="charts.html">#}
        {#                    <i class="fas fa-fw fa-chart-area"></i>#}
        {#                    <span>Charts</span></a>#}
        {#            </li>#}

        <!-- Nav Item - Tables -->
        {#            <li class="nav-item">#}
        {#                <a class="nav-link" href="tables.html">#}
        {#                    <i class="fas fa-fw fa-table"></i>#}
        {#                    <span>Tables</span></a>#}
        {#            </li>#}

        <!-- Divider -->
        <hr class="sidebar-divider d-none d-md-block">

        <!-- Sidebar Toggler (Sidebar) -->
        <div class="text-center d-none d-md-inline">
            <button class="rounded-circle border-0" id="sidebarToggle"></button>
        </div>



    </ul>
    <!-- End of Sidebar -->

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">

        <!-- Main Content -->
        <div id="content">

            <!-- Topbar -->
            <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">

                {#                    <!-- Sidebar Toggle (Topbar) -->#}
                {#                    <button id="sidebarToggleTop" class="btn btn-link d-md-none rounded-circle mr-3">#}
                {#                        <i class="fa fa-bars"></i>#}
                {#                    </button>#}

            </nav>
            <!-- End of Topbar -->

            <!-- Begin Page Content -->
            <div class="container-fluid">

                <!-- Page Heading -->
                <h1 class="h3 mb-2 text-gray-800">Dashboard - Kore</h1>

                <div class="row">
                    <div class="col-xl-12">
                        <div class="card mb-4">
                            <div class="card-header">
                                <i class="fas fa-wrench mr-1"></i>
                                Kafka Configuration
                            </div>
                            <div class="card-body">
                                <table class="table table-bordered">
                                    <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">Key</th>
                                        <th scope="col">Value</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr>
                                        <th scope="row">1</th>
                                        <td>Host</td>
                                        <td>{{ results.fusilli_k8s_data_back_plane.host }}</td>
                                    </tr>
                                    <tr>
                                        <th scope="row">2</th>
                                        <td>Port</td>
                                        <td>{{ results.fusilli_k8s_data_back_plane.port }}</td>

                                    </tr>
                                    <tr>
                                        <th scope="row">3</th>
                                        <td>Kafka Namespace</td>
                                        <td>{{ results.fusilli_k8s_data_back_plane.kafka_namespace }}</td>
                                    </tr>
                                    <tr>
                                        <th scope="row">4</th>
                                        <td>Kafka Name</td>
                                        <td>{{ results.fusilli_k8s_data_back_plane.kafka_name }}</td>
                                    </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                    {#                    <div class="col-xl-6">#}
                    {#                        <div class="card mb-4">#}
                    {#                            <div class="card-header">#}
                    {#                                <i class="fas fa-chart-bar mr-1"></i>#}
                    {#                                Bar Chart: Sum of length group by Owner#}
                    {#                            </div>#}
                    {#                            <div class="card-body"></div>#}
                    {#                        </div>#}
                    {#                    </div>#}
                </div>

                <div class="card shadow mb-4">
                    <div class="card-header py-3">
                        <h6 class="m-0 font-weight-bold text-primary">Kubernetes pods in Data Table</h6>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-bordered" id="dataTable-1" width="100%" cellspacing="0">
                                <thead>
                                <tr>
                                    <th>Pod ID</th>
                                    <th>Pod Name</th>
                                    <th>Pod Name Space</th>
                                </tr>

                                </thead>
                                <tfoot>
                                </tfoot>
                                <tbody>
                                {% for pod in results.fusilli_k8s_pods %}
                                    <tr>
                                        <td>{{ pod.pod_id }}</td>
                                        <td>{{ pod.pod_name }}</td>
                                        <td>{{ pod.pod_namespace }}</td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
                <!-- DataTales Example -->
                <div class="card shadow mb-4">
                    <div class="card-header py-3">
                        <h6 class="m-0 font-weight-bold text-primary">Kubernetes Services in Data Table</h6>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-bordered" id="dataTable-2" width="100%" cellspacing="0">
                                <thead>
                                <tr>
                                    <th>Self Link</th>
                                    <th>Cluster Name</th>
                                    <th>Cluster Name Space</th>
                                    <th>Cluster Ip</th>
                                </tr>

                                </thead>
                                <tfoot>
                                </tfoot>
                                <tbody>
                                {% for service in results.fusilli_k8s_services %}
                                    <tr>
                                        <td>{{ service.self_link }}</td>
                                        <td>{{ service.cluster_name }}</td>
                                        <td>{{ service.cluster_namespace }}</td>
                                        <td>{{ service.cluster_ip }}</td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

            </div>



            <!-- /.container-fluid -->

        </div>
        <!-- End of Main Content -->

        <!-- Footer -->
        <footer class="py-4 bg-light mt-auto">
            <div class="container-fluid">
                <div class="d-flex align-items-center justify-content-between small">
                    <div class="text-muted"> <a href="https://fusilli.io" target="_blank">FUSILLI LABS LIMITED</a> - The Black Church, St. Mary’s Place, Dublin, 7 (IRL)</div>
                    <div>
                        <a href="https://fusilli.io/privacy.html" target="_blank">Privacy Policy</a>
                        &middot;
                        <a href="https://fusilli.io/terms-of-service.html" target="_blank">Terms &amp; Conditions</a>
                    </div>
                </div>
            </div>
        </footer>
        {#        <footer class="sticky-footer bg-white">#}
        {#            <div class="container my-auto">#}
        {#                <div class="copyright text-center my-auto">#}
        {#                    <span>Copyright &copy; Your Website 2021</span>#}
        {#                </div>#}
        {#            </div>#}
        {#        </footer>#}
        <!-- End of Footer -->

    </div>
    <!-- End of Content Wrapper -->

</div>
<!-- End of Page Wrapper -->

<!-- Scroll to Top Button-->
<a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
</a>

<!-- Bootstrap core JavaScript-->
<script src="{% static 'vendor/jquery/jquery.min.js' %}"></script>
<script src="{% static 'vendor/bootstrap/js/bootstrap.bundle.min.js' %}"></script>

<!-- Core plugin JavaScript-->
<script src="{% static 'vendor/jquery-easing/jquery.easing.min.js' %}"></script>

<!-- Custom scripts for all pages-->
<script src="{% static 'js/sb-admin-2.min.js' %}"></script>

<!-- Page level plugins -->
<script src="{% static 'vendor/datatables/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'vendor/datatables/dataTables.bootstrap4.min.js' %}"></script>

<!-- Page level custom scripts -->
<script src="{% static 'js/demo/datatables-demo.js' %}"></script>

</body>

</html>